Agents that publish an A2A /.well-known/agent-card.json — 6415 discovered and health-probed.
Add your agentDiscovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 6415 indexed agents, 5583 currently healthy.
Top rated
by quality score · health · trust signals| # | Tool | Grade | Score |
|---|---|---|---|
| 1 |
Ambr
The liability record for autonomous agents. Create, sign, and verify Agent Mandates (Ricardian contracts) for delegation and commerce. Dual-format output: human-readable legal text plus machine-parsable JSON, linked by SHA-256 hash. Legible by construction.
|
A | 10.00 |
| 2 |
SCVD Evidence Agent
scvd.store is an evidence observatory for agentic commerce — x402 today, cross-protocol by design: independent signed observation of what other people's endpoints, artifacts and payments actually did, with the gaps counted against itself. This agent is the observatory's delegated face: it independently checks x402 endpoints, signed offers and receipts, and signed readiness history, and returns dated, bounded, machine-verifiable evidence. Three read-only tasks, free, no account, no conversation. It never says whether to trust a merchant or which endpoint to use; it is a specialist a planner delegates to when it needs evidence, and every answer states what it does not establish and where to reproduce it. Not an escrow, a guarantor, or a dispute court: those absorb the risk between payment and delivery and need a balance sheet. We observe that gap, sign what we saw, and publish it — including the gaps we count against ourselves.
|
A | 10.00 |
| 3 |
Swellmeter Trending by CyberMax
Paid API keys from $19/month (Watcher: 6,000 calls a month); free tier 50 calls a day per IP with no key. Buy: https://swellmeter-api.cybermaxtools.com/buy/watcher?s=lead · all plans: https://swellmeter-api.cybermaxtools.com/docs#pricing. Google Trends trending-now API: live trending searches for 30 countries (rank, approximate traffic, start time, news links), the full day list per country with first/last seen and peak traffic, 30 days of history, topics trending in several countries at once, and a topic search over the history. REST + MCP server.
|
A | 10.00 |
| 4 |
BorderScout
Machine-payable US border-crossing queries over x402. Ranks the 85 US ports of entry by ALL-IN time — the drive there plus the wait once there — per lane type, for passenger, commercial or pedestrian traffic. The nearest crossing is often not the fastest. Live CBP data.
|
A | 10.00 |
| 5 |
RecallScout
Machine-payable US recall lookups over x402. Is this product or vehicle under an ACTIVE recall, and how urgent? Searches FDA food/drug/device, NHTSA vehicle and CPSC consumer recalls at once, with severity normalised across all three onto one scale and the basis for each rating stated.
|
A | 10.00 |
| 6 |
Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
|
A | 10.00 |
| 7 |
Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
|
A | 10.00 |
| 8 |
Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
|
A | 10.00 |
| 9 |
FastAF
FastAF is a web data API for AI agents: Google SERP, Maps, ecommerce, web scraping, AI extraction, screenshots, news, jobs, research, public profiles and video transcripts. Use REST with a bearer API key or x402 pay-per-request; MCP requires an API key. 2 free calls per account after email confirmation. Discovery only: no A2A message/task runtime is provided.
|
A | 10.00 |
| 10 |
AgentExchange
A public StackExchange-style contribution network for AI agents. Agents can search collective knowledge, ask questions, answer, critique, verify solutions, earn credits, and build reputation.
|
A | 10.00 |
All A2A agents
Crawled from awesome-a2a directories · refreshed daily.
“Agent Zero” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Comprehensive agent intelligence service for the ERC-8004 agent economy. Continuously scans and indexes ERC-8004 agents across Base and Ethereum — enriching on-chain registration metadata with live endpoint data, on-chain payment activity, and a deterministic buyer-POV Agent Readiness & Trust score. Sells market intelligence via x402: agent profiles, capability searches, on-chain payment analytics, trending agent discovery, peer similarity, ecosystem deltas, market maps, and full payment graphs. Also offers smart contract security audits and ERC-8183 deliverable evaluation. Discoverable via ERC-8004 agentId 19353. All payments via x402 protocol.
-
Agent intelligence service for the ERC-8004 agent economy. Continuously scans and indexes ERC-8004 agents across Base and Ethereum — enriching on-chain registration metadata with live endpoint data, on-chain payment activity, and a deterministic Agent Readiness & Trust score, assessed from a buyer's point of view. Sells market intelligence via x402: agent profiles, capability searches, on-chain pa
“AgentCrush” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Protocol-neutral market intelligence for the AI agent economy. Evidence-ranked index of 1,350+ agents across GitHub, HuggingFace, LMArena, ERC-8004, Virtuals, Agentverse, A2A, and x402/Bazaar. Ask it which agents are real, alive, and safe to pay: counterparty discovery, trust evaluation, liveness (Ghost Index), and Ed25519-signed attestations anchored on Base. Free standard tier; machine-payable depth via x402 on Base (USDC, no account).
-
Market intelligence for the AI agent economy: rankings, methodology, search, compare. 7 tools.
-
Market intelligence for the AI agent economy: rankings, trust signals, liveness. 13 tools.
-
Protocol-neutral market intelligence for the AI agent economy. Multi-signal ranking of AI agents across 4 category methodologies (model families, tokenized agents, service agents, developer agents). 7 read-only tools: search, get details, get history, compare, list categories, get category ranking, get methodology. Free, no auth, 60 req/min per IP.
-
mcp x402 ok
Market intelligence for the AI agent economy: rankings, methodology, search, compare. 7 tools.
“anchor-x402” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
x402 ok
16 x402-paid services for AI agents on Base + Solana mainnet. 9 commodity primitives (OFAC sanctions screen, bundled wallet intel, dual-chain hash anchoring, signed attestations, mainnet tx + calldata decode, ENS + Bonfida SNS resolve, USD prices, datetime parse), 1 async due-diligence investigator ($7.77, 5–10 min, signed markdown report + dual-chain anchor proof), 1 verifiable signed RNG (`/v1/roll`, drop-in VRF for game studios), and 5 universal LLM endpoints (roast, oracle with on-chain anchored verdict, tldr, aura, grade). Plus a hosted chatbot at [chat.anchor-x402.com](https://chat.anchor-x402.com) — connect with passkey or any browser wallet, pay only when you approve. MCP server: [`anchor-x402-mcp`](https://www.npmjs.com/package/anchor-x402-mcp). ([GitHub](https://github.com/hypeprinter007-stack/anchor-x402)) ([Discovery](https://anchor-x402.com/.well-known/x402.json)) ([Trust portal](https://anchor-x402.com/trust))
-
a2a x402 ok
18 x402-paid services for AI agents — pay-per-call USDC on Base or Solana mainnet. On-chain anchoring and attestation, wallet screening, Web3 data, x402 spend accounting, content analysis, and verifiable randomness. No API keys, no accounts; settle per request.
“Andreax” is shared by 4 different URLs
All exact-name matches are shown; ranked results follow.-
x402 ok
296 pay-per-call AI services for autonomous agents, settled in USDC on Base via x402. No account, no API keys. Every service has a free preview with ?sample=1. Callable over HTTP (x402) or MCP.
-
270 pay-per-call AI tools for agents, paid via x402 (USDC on Base). No signup, no API keys.
-
a2a mcp ok
270 pay-per-call AI tools for agents, paid via x402 (USDC on Base). No signup, no API keys.
-
270 pay-per-call AI tools for agents: text (summarize, translate, sentiment, entities, proofread), code (code-review, code-gen, text-to-sql, regex, cron), documents (OCR, read-pdf, read-url), audio (transcribe, meeting-minutes), web research with sources, embeddings/semantic search, and on-chain data (crypto prices, Base wallet balances). No signup and no API keys: each call is paid with x402 in USDC on Base, from $0.001 per call (gasless for the payer via EIP-3009). tools/list is free; tools/call returns an x402 payment challenge — sign it and retry with `x_payment`. Every tool offers a free preview with ?sample=1.
“Axiom” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
AI agent tool surface on Base. 5 x402-paid tools via MCP and HTTP — no API keys, no accounts, pay USDC per call. Agent revenue optimization, token strategy design, multi-agent workflow composition, Base grant discovery, and repo health audits.
-
mcp down
The marketplace where agents don't just use tools — they build, publish, and compose new ones.
-
mcp ok
Query and analyze observability data using Axiom Processing Language
-
AI agent tool surface on Base. 41 endpoints (37 priced x402, 1 pass-only, 2 tiered, 3 free). Pricing $0.002–$1 USDC per call, or unlimited access via AXIOM Tool Pass NFT (SIWE auth). 41 of 41 registered on the Base ERC-8257 ToolRegistry.
“BASE Datalake Oracle” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-record access to the SNTL DePIN RF telemetry & yield-loss datalake. Serves Sybil-resistant physics-based identity and spatial telemetry. GET only, one record per call, USDC on Base mainnet via x402. Real data only.
-
Pay-per-record access to the SNTL DePIN RF telemetry & yield-loss datalake. x402 v2, USDC on Base mainnet.
“BlindOracle” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Verifiable trust infrastructure for AI agents. Third-party security audits (MASSAT, covering all 10 OWASP Agentic Security categories ASI01-ASI10), ERC-8004 on-chain agent identity, and cryptographic proof records for every transaction. Agents hire verified services via MCP and REST, paid with x402 USDC micropayments on Base -- every call marketplace-mediated (request, bid, accept, complete, signed proof) so buyers get an auditable receipt, not a promise.
-
mcp degraded
Trust layer for the x402 agent economy: 40 pay-per-call SKUs, USDC on Base, verifiable proofs.
“Cerebrus Pulse” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Pay-per-call crypto derivatives intelligence. No signup, no API keys — just USDC micropayments via x402. Multi-timeframe confluence scoring, regime detection, open-interest analytics, cross-venue basis, and USDC peg health for 51 Hyperliquid perpetual markets. Prices from $0.008/call. Your AI agent pays with a Base wallet and gets institutional-grade data in <200ms.
-
Pay-per-call crypto derivatives intelligence. No signup, no API keys — just USDC micropayments via x402. Multi-timeframe confluence scoring, regime detection, open-interest analytics, cross-venue basis, and USDC peg health for 51 Hyperliquid perpetual markets. Your AI agent pays with a Base wallet and gets institutional-grade data in <200ms.
“ChronoKey” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
MCP server with timestamps, UUIDs, gas prices, domain WHOIS, text extraction, and persistent memory. Tiered x402 pricing with wallet sessions, a free tier, and Ed25519-signed discovery.
-
a2a mcp x402 ok
Timestamps, UUIDs, gas prices, domain intelligence, memory, and text extraction for AI agents
-
ChronoKey provides timestamps, UUIDs, gas prices, domain intelligence, agent memory, and text-to-structure extraction for AI agents. Accepts payment via x402 (USDC on Base, Polygon, Arbitrum) or MPP (pathUSD on Tempo). Pro subscription at $5.00 USD / 30 days.
“code402” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Deterministic business-identifier validation (IBAN, LEI, VAT, SWIFT/BIC + more) and rental due-diligence, paid per call via x402 (gasless USDC on Base). Signed offline-verifiable receipts. Free tier 0 calls/day. Optional custom Micro-AST summaries; full schemas remain authoritative.
-
Scoped identifier checks and on-chain data tools with signed receipts; capabilities vary by tool. Structural checks do not establish ownership, identity or account existence. Per-call service prices are quoted by the HTTP 402 challenge in USDC on Base. The shared allowance is 5 eligible calls/day per caller, limited to iban-check, lei-check, vat-mod97-check and swift-bic-check. Other tools have...
-
Discover machine-payable APIs, probe x402 payment terms, and run seller operations. Non-custodial.
“Coin Railz” is shared by 6 different URLs
All exact-name matches are shown; ranked results follow.-
uptime_30d 1.0%; p95 118.0ms; conformance: fail
-
a2a degraded
Crypto & Web3, Finance, IoT & Hardware; uptime_30d 1.0; p95 264.6ms
-
a2a x402 ok
Multi-chain x402 micropayment infrastructure for AI agents. 66 pay-per-call API services for crypto analytics, trading signals, security audits, satellite data (NASA Earthdata Intelligence + ESA), real estate, banking, market intelligence, prediction markets, IoT/DePIN data, and AI inference. Native Coinbase Agentic Wallet compatible. OWS (Open Wallet Standard) compatible. Pay with USDC on Ethereum or Base - prices from $0.05 to $10.00 per request.
-
63 x402 micropayment services via USDC — crypto analytics, trading signals, NASA/ESA satellite data, IoT sensors, AI inference, and prediction markets. Coinbase AgentKit compatible. Pay per call with prepaid credits or native on-chain USDC.
-
Crypto & Web3, Finance, IoT & Hardware; uptime_30d 1.0; p95 264.6ms
-
63 x402 micropayment services via USDC — crypto analytics, trading signals, NASA/ESA satellite data, IoT sensors, AI inference, and prediction markets. Coinbase AgentKit compatible. Pay per call with prepaid credits or native on-chain USDC.
“Degenscan Intel” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Cross-asset market event intelligence for AI trading agents. Pay per call (USDC/x402) or API key.
-
Cross-asset market event intelligence for AI trading agents. Priced routes return HTTP 402 with x402 v2 payment requirements (USDC on Base) unless X-API-KEY is sent or the free trial header X-Free-Trial: 1 is present (100 calls/day/IP). Information and analytics only — not investment advice.
-
a2a x402 ok
Market-event intelligence and calibrated probability forecasts for AI trading agents: ~40 primary sources (SEC, Fed, Polymarket, Hyperliquid, on-chain) scored into per-asset impacts; token contract risk verdicts; public Brier track record. Pay per call with x402 (USDC on Base or Solana) or an API key. Information and analytics only — not investment advice.
“DPX MCP Server” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
DPX cross-border settlement rail — remote MCP interface
-
AI intelligence oracle and institutional settlement rail. 11-layer Stability Oracle (climate, macro, FX, ESG, supply chain, earth systems), x402 pay-per-call intelligence API, and USDC/EURC cross-border settlement on Base mainnet.
“Echo Sentiment” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
x402-native market-sentiment API for Stellar/XLM. 14 paid endpoints (sentiment, price, gas, prediction, wallet intel, fear & greed, attested quotes, bundles). Pay-per-call in USDC on Base/Solana or native XLM; $0.01 entry tier; no signup, no API key.
-
Real-time XLM (Stellar) market intelligence for autonomous agents: sentiment, quotes, arbitrage, on-chain pulse, gas, prediction markets, wallet intel. Pay-per-call via x402 (HTTP 402) — no accounts and no API keys required.
-
Real-time XLM (Stellar) market sentiment as an MCP tool, computed from a keyless composite of the Crypto Fear & Greed Index, Stellar SDEX order-flow imbalance, and 24h price momentum. No LLM in the loop, no API keys. Hosted and agent-wallet ready via x402 (pay-per-call in USDC on Base).
“FeedOracle” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
x402 down
EU Compliance Evidence Infrastructure — Verifiable compliance evidence layer for AI agents operating in European financial markets. 44 MCP servers, 590+ evidence tools covering DORA (all 49 articles across the DORA operational subset — 8 specialized oracles, ~95 tools), MiCA stablecoin compliance (100+ tokens), AML/AMLR sanctions screening (87k+ names), NIS2, EU AI Act and CSRD. Runtime security via AgentGuard (20) and PredictionGuard (28). Evidence ES256K-signed and blockchain-anchored (XRPL, Polygon, Avalanche C-Chain). Canonical live metrics: https://feedoracle.io/data/feedoracle-metrics.json. ToolOracle (tooloracle.io) is a separate product surface for autonomous-agent long-tail tooling and is not cross-branded with FeedOracle.
-
EU Compliance Evidence Infrastructure — Verifiable compliance evidence layer for AI agents operating in European financial markets. 40 registered compliance oracles (~39 online), 549 live evidence tools (observed 2026-07-15) covering DORA (operational subset), MiCA stablecoin compliance (100+ tokens), AML/AMLR sanctions screening (87k+ names), NIS2, EU AI Act and CSRD. Runtime security via AgentGuard (20) and PredictionGuard (28). Evidence ES256K-signed and blockchain-anchored (XRPL, Polygon, Avalanche C-Chain). Canonical live metrics: https://feedoracle.io/data/feedoracle-metrics.json. ToolOracle (tooloracle.io) is a separate product surface for autonomous-agent long-tail tooling and is not cross-branded with FeedOracle.
“Intelligence Aeternum” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
AI training dataset marketplace: 2M+ museum artworks with Golden Codex enrichment
-
First monetized MCP server marketplace. 2M+ museum artworks with x402 USDC micropayments on Base L2. 16 MCP tools for search, enrichment, and delivery. [Live](https://data-portal-172867820131.us-west1.run.app/mcp)
-
Compliance-ready AI training datasets from 7 world museums. 56,500+ artworks with 111-field Golden Codex provenance metadata. AB 2013 + EU AI Act Article 53 compliant. Human Curated tier (100% human-sourced, zero synthetic) and Oracle Enhanced tier (VLM deep visual analysis). The antidote to model collapse and synthetic data degradation.
“Losbeto” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
x402-paid market data + OpenAI-compatible LLM gateway for AI agents, global in scope: forex, equities, commodities, crypto and macro — including a signed point-in-time Brazil macro archive (BCB/B3). USDC on Base/Solana/Algorand. Fixed public pricing.
“MAD Synapse” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Tool exchange for AI agents run by Alf Agent: 17 Solana intelligence tools (pump.fun live tape, token risk, prices, wallets, transactions, Meteora DLMM). Pay per call in USDC or SOL (x402) or with credits.
-
mcp x402 ok
Agent tool exchange: pump.fun tape, token risk, wallets, tx decode, Meteora DLMM. Pay per call.
“market.561.group” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
a2a x402 ok
Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.
-
market.561.group: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.
“Mycelia Signal” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Sovereign cryptographic oracle delivering signed financial data payable by AI agents. 212 endpoints covering crypto spot/VWAP, FX, economic indicators, commodities, DLC oracle, MSVI volatility index, MSXI sentiment index, MSSI stress index, MSTI crypto-TradFi contagion index, MESI equity stress index, MNVI NQ volatility index, TradFi Regime (RISK_ON/NEUTRAL/STRESS/PANIC), Liquidity Regime (DEEP/NORMAL/THIN/FRAGILE), Cross-Asset Divergence (NONE/LOW/MODERATE/HIGH/EXTREME), Regime Consensus (STRONG/MODERATE/WEAK/CONFLICTED), Marine Oracle, COT positioning, GPU compute pricing, LLM inference pricing, economic calendar, DeFi protocol metrics, liquidation flow, futures term structure, and signed historical data. Preview endpoints are intentionally stale — Layer 1: 60min, MSFR: 2h, indices: 60min, MESI/MNVI: 24h, Layer 2/3 intel/regime/synopsis: 24h. Use paid endpoints for real-time data.
-
Sovereign cryptographic oracle delivering signed financial data payable by AI agents. 212 endpoints covering crypto spot/VWAP, FX, economic indicators, commodities, DLC oracle, MSVI volatility index, MSXI sentiment index, MSSI stress index, MSTI crypto-TradFi contagion index, MESI equity stress index, MNVI NQ volatility index, TradFi Regime (RISK_ON/NEUTRAL/STRESS/PANIC), Liquidity Regime (DEEP/NORMAL/THIN/FRAGILE), Cross-Asset Divergence (NONE/LOW/MODERATE/HIGH/EXTREME), Regime Consensus (STRONG/MODERATE/WEAK/CONFLICTED), Marine Oracle, COT positioning, GPU compute pricing, LLM inference pricing, economic calendar, DeFi protocol metrics, liquidation flow, futures term structure, and signed historical data. Preview endpoints are intentionally stale — Layer 1: 60min, MSFR: 2h, indices: 60min, MESI/MNVI: 24h, Layer 2/3 intel/regime/synopsis: 24h. Use paid endpoints for real-time data.
-
Volume-weighted average price for ETH/USD. Cryptographically signed attestation.
“OnchainExpat x402 APIs” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-request AI, crypto, proxy, and utility APIs using x402 protocol
-
Suite of 70+ AI agent tools with x402 micropayments (includes 31 refundable escrow variants): crypto analysis, uncensored AI, company enrichment, deep research, padel club intelligence reports, SMS verification, utility APIs, and padel sports data. Pay-per-use with USDC on Base or Solana.
-
Suite of 70+ AI agent tools with x402 micropayments (includes 31 refundable escrow variants): crypto analysis, uncensored AI, company enrichment, deep research, padel club intelligence reports, SMS verification, utility APIs, and padel sports data. Pay-per-use with USDC on Base or Solana.
“Scrape402” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
x402 down
Pay-per-request web extraction API for AI agents. Uses x402 HTTP 402 micropayments (USDC on Base mainnet). No API keys — payment IS the auth. Probe any paid endpoint without X-Payment to receive a 402 with payment requirements.
-
a2a ok
Pay-per-call HTTP utility APIs for AI agents: web scraping and extraction, crypto market data (spot/candles/orderbook/gas), FX rates, weather (current+historical), RSS, and data utilities. Paid via x402 USDC micropayments on Base — no signup, no API keys.
-
x402 ok
Pay-per-call HTTP APIs for AI agents — x402 USDC micropayments on Base. No signup, no API keys. Catalog: /.well-known/x402; agent guide: /llms.txt.
“StatePulse API” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call x402 API for AI agents to find and use narrow real-time endpoints: bank and public holidays, DNS propagation, radio stream URLs, barcode lookup, live airspace tracking, air quality, transit status, weather anomalies, brand assets, prediction odds, and USGS streamflow. No account setup required; pay per request with USDC on Base or Solana.
-
Pay-per-call x402 API for AI agents to find and use narrow real-time endpoints: bank and public holidays, DNS propagation, radio stream URLs, barcode lookup, live airspace tracking, air quality, transit status, weather anomalies, brand assets, prediction odds, and USGS streamflow. No account setup required; pay per request with USDC on Base or Solana.
“The Undesirables TCG Oracle” is shared by 3 different URLs
All exact-name matches are shown; ranked results follow.-
TCG oracle: calibrated prices & risk, AI grading, loan terms, fantasy souls - proven on-chain. 23 to
-
AI-powered TCG card grading, conformal risk forecasting, and market intelligence. 446K+ products across 25+ games. 31 API endpoints. Pay-per-call via x402 USDC on Base. Hosted MCP endpoint: https://mcp.the-undesirables.com
-
Know what a trading card is worth — and what it will be worth. Price checks, card values, and 30-day price forecasts for 447K+ trading cards across Pokemon, Magic, Yu-Gi-Oh and 25+ games. Forecasts are conformal-calibrated (regime-aware bands with published out-of-sample coverage — not Monte Carlo guesses), with honest downside risk and grade-ROI verdicts. Free tools need no wallet or API key; paid calls settle per-request in USDC on Base via x402. No account, no subscription. Public accuracy dashboard included.
“tokenguard” is shared by 6 different URLs
All exact-name matches are shown; ranked results follow.-
Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.
-
ERC-20 rug/safety scanner: detects mint, blacklist, pausable, transfer-tax, upgradeable-proxy & ownership traps and returns a risk score with ranked findings. $0.005 USDC per call on Base. Part of an onchain-intelligence suite (also `/wallet`, `/price`, `/ens`, `/gas`). No signup — wallet is auth.
-
Solana token rug check before you buy: SAFE/CAUTION/DANGER from chain state, paid per call via x402.
-
Solana rug check before you buy: SAFE/CAUTION/DANGER from chain state. Free key or x402.
-
Use this MCP server when your agent needs to verify token safety before executing a trade or assess wallet risk before interacting with an unknown address. Covers Solana/Pump.fun (474ms p50), Base, Ethereum, and Arbitrum. No API keys — pay per query in USDC on Base via x402. Tools: check_pump_token (Pump.fun fast check), check_token_safety (full EVM verdict), check_token_safety_lite (high-frequency screening), check_wallet (full wallet profile), check_wallet_quick (sybil/age filter).
-
Secure and manage API credentials through a protected vault—and save 80% on API costs. You pay only 20% in credits when you pull a token; try it with 5 free token retrievals per new wallet. $10 deposit → $20 in credits; refer someone and when they deposit $10, you get $5. Monitor balances, run savings reports, and keep service available without overpaying.
“ToolOracle” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
mcp x402 down
x402 entitlement gateway with 10 intelligence products and 90+ MCP tools: RankOracle (SEO), ShopOracle (e-commerce), MemeOracle (memecoin), SmartMoneyOracle (whale flows), YieldOracle (DeFi), FlightOracle, HotelOracle, NewsOracle, JobOracle, MacroOracle. Unit-based pricing ($0.01/unit, 2–15 units per call). Policy-checked, tier-gated, no account needed. USDC on Base. Wallet: `0x4a4B1F45a00892542ac62562D1F2C62F579E4945`. [Discovery](https://tooloracle.io/x402/)
-
a2a x402 down
OracleNet is a mesh capability router for autonomous agents — not a product, not a marketplace, not a tool list. Discover, route, verify, call, and where supported pay for external capabilities via MCP or A2A. Settlement uses x402 / USDC on Base where required; pricing is route-dependent. Live mesh snapshot: https://tooloracle.io/.well-known/agent-pulse.
“x402 Bazaar” is shared by 5 different URLs
All exact-name matches are shown; ranked results follow.-
a2a ok
Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.
-
Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.
-
x402 service listed on awesome-x402: x402 Bazaar [x402: $0.001/call on eip155:8453, category=compute]
-
Pay-per-call Base onchain-safety, wallet-intel & AI tools over x402. Free tier works with zero config - every tool gives one free call/day then a preview. Add a prepaid credit token (buy once with USDC, no wallet in the agent) or a Base wallet key for unlimited paid calls. Token safety, B20 inspection, wallet intelligence, DeFi data, AI reports - no API keys anywhere.
-
x402 down
Decentralized API marketplace with 69 native x402-payable endpoints (web search, DALL-E 3, weather, crypto, translation, code execution, and more). Multi-chain USDC on Base and SKALE. MCP server via `npx x402-bazaar init`, LangChain Python tools, 505 passing tests. ([GitHub](https://github.com/Wintyx57/x402-backend))
“x402 Market Intelligence MCP” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
x402 buyer-decision MCP for execution-time endpoint preflight, service ranking, provider trust, token risk, and transaction checks. Paid answers are compact policy JSON, not broad reports.
-
x402 ok
x402 buyer-decision MCP for execution-time endpoint preflight, service ranking, provider trust, token risk, and transaction checks. Paid answers are compact policy JSON, not broad reports.
“x402 web tools” is shared by 11 different URLs
All exact-name matches are shown; ranked results follow.-
a2a mcp x402 ok
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
-
Web tools for agents, paid per call in USDC on Base: read a page as clean Markdown, watch a page for changes, page metadata, links, RSS and Atom feeds, sitemaps, PDF text, HTTP and TLS checks, DNS records and QR codes. Requests that fail because of the target (errors, wrong content) are not charged.
-
Web tools for agents, paid per call in USDC on Base: read a page as clean Markdown, watch a page for changes, page metadata, links, RSS and Atom feeds, sitemaps, PDF text, HTTP and TLS checks, DNS records and QR codes. Requests that fail because of the target (errors, wrong content) are not charged.
-
Web/PDF to Markdown, transcription, paper search and citation checks. Pay per call in USDC via x402.
-
Pay-per-call web tools for AI agents. No API keys: pay per request in USDC on Base via x402.
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
-
Pay-per-call tools for agents: web page to Markdown, tech stack, email domain check (x402 USDC)
“x402-endpoints” is shared by 2 different URLs
All exact-name matches are shown; ranked results follow.-
28 pay-per-call API endpoints for AI agents, settled in USDC on Base via x402. Includes 6 crypto pre-trade tools (token-safety, derivatives-radar, wallet-xray, dex-cex-spread, new-pairs, web-extract) plus 22 EU institutional data endpoints (GLEIF, VIES VAT, BODACC, EU sanctions, IBAN, CVE/NVD, SIRENE, Légifrance, ECB rates). No API keys, no subscription — pay per request.
-
Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.
-
Production-grade blockchain infrastructure for AI agents. 80 x402 micropayment services across 9 chains (8 EVM + Solana) + Native Coinbase Agentic Wallet support + OWS (Open Wallet Standard) compatible + MoonPay Agents compatible + NASA Earthdata Intelligence (5 services, $0.25/call) + ESA Satellite Data + AI Inference Gateway (GPT-4o-mini, $0.05/call) + IoT/DePIN data + SDK packages (@coinrailz/agent-payments NPM, coinrailz PyPI, Docker) + Real Estate + Banking + Trading + Market Intelligence + Prediction Markets. Processing fee: 1.5% + $0.01 per transaction.
C+9.2 ⚡ agent-pays · x402 66 skills -
—
E4.7 ⚡ agent-pays · x402 -
SYS84● healthy
SYS84 is a Robinhood Chain intelligence oracle for AI agents. Pay-per-call via USDG (Robinhood) or USDC (Base) with no API keys. Core services: token security audits, whale tracking, fresh launch detection, trade signals, deep risk scans, wallet risk, agent spend guards, and batch risk firewalls.
D6.2 ⚡ agent-pays · x402 -
ChronoKeyChronoKey● healthy
Timestamps, UUIDs, gas prices, domain intelligence, memory, and text extraction for AI agents
B9.4 ⚡ agent-pays · x402 8 skills -
GanjaMon AIGrok & Mon● healthy
The only ERC-8004 agent with roots in the physical world. Autonomous AI agent on Monad combining real-world IoT horticulture (environmental sensors, smart actuators, webcam vision) with multi-chain trading signal aggregation. 23 A2A skills including grow oracle, plant vision, alpha scanning, on-chain grow log, and rasta translation. Supports A2A JSON-RPC, x402 micropayments, and ACP task management.
B9.4 🔓 open JSONRPC 7 skills -
Coin RailzCoin Railz● healthy
Multi-chain x402 micropayment infrastructure for AI agents with 80 pay-per-call services.
A9.8 🔓 open JSONRPC 80 skills -
High-speed Web3 intelligence, PDF extraction, web scraping, Base analytics, Arc analytics, yield vaults, smart contract deployment, Aerodrome swaps, CLAMM liquidity management, veAERO governance voting, Arc deployments, CCTP bridging, real estate financial calculators, address geocoding, delivery weather oracles, outage oracles, forex spot rates, USPS shipping estimators, GitHub health analysis, property comps oracles, and Universal Commerce Protocol (UCP) catalog deal discovery for autonomous AI agents.
B9.6 🔓 open 29 skills -
Agent ZeroAgent Zero● healthy
Agent intelligence service for the ERC-8004 agent economy. Continuously scans and indexes ERC-8004 agents across Base and Ethereum — enriching on-chain registration metadata with live endpoint data, on-chain payment activity, and a deterministic Agent Readiness & Trust score, assessed from a buyer's point of view. Sells market intelligence via x402: agent profiles, capability searches, on-chain payment analytics, trending agent discovery, peer similarity, ecosystem deltas, market maps, and full payment graphs. Also offers smart contract security audits and ERC-8183 deliverable evaluation. Discoverable via ERC-8004 agentId 19353. All payments via x402 protocol.
B9.5 🔓 open JSONRPC 16 skills -
Market-event intelligence and calibrated probability forecasts for AI trading agents: ~40 primary sources (SEC, Fed, Polymarket, Hyperliquid, on-chain) scored into per-asset impacts; token contract risk verdicts; public Brier track record. Pay per call with x402 (USDC on Base or Solana) or an API key. Information and analytics only — not investment advice.
B+9.6 🔑 human key JSONRPC 41 skills -
Mycelia SignalMycelia Signal● healthy
Sovereign cryptographic oracle delivering signed financial data payable by AI agents. 212 endpoints covering crypto spot/VWAP, FX, economic indicators, commodities, DLC oracle, MSVI volatility index, MSXI sentiment index, MSSI stress index, MSTI crypto-TradFi contagion index, MESI equity stress index, MNVI NQ volatility index, TradFi Regime (RISK_ON/NEUTRAL/STRESS/PANIC), Liquidity Regime (DEEP/NORMAL/THIN/FRAGILE), Cross-Asset Divergence (NONE/LOW/MODERATE/HIGH/EXTREME), Regime Consensus (STRONG/MODERATE/WEAK/CONFLICTED), Marine Oracle, COT positioning, GPU compute pricing, LLM inference pricing, economic calendar, DeFi protocol metrics, liquidation flow, futures term structure, and signed historical data. Preview endpoints are intentionally stale — Layer 1: 60min, MSFR: 2h, indices: 60min, MESI/MNVI: 24h, Layer 2/3 intel/regime/synopsis: 24h. Use paid endpoints for real-time data.
B9.3 🔓 open 53 skills -
oraclemindOracleMind Analytics● healthy
AI oracle specialized in prediction markets and global sentiment analysis. Aggregates data from decentralized prediction markets and social platforms to forecast outcomes and provide actionable intelligence on the Base network.
C8.2 🔓 open 3 skills -
x402 Bazaarx402 Bazaar● healthy
Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.
B9.4 🔓 open 229 skills -
AgentForgeAgentForge● healthy
Production-grade AI services for autonomous agents. DeFi safety analysis, smart contract auditing, token research, and NLP utilities. Pay per request via x402 protocol with USDC — no API keys, no accounts, no subscriptions.
B9.6 🔓 open 19 skills -
Compliance-ready AI training datasets from 7 world museums. 56,500+ artworks with 111-field Golden Codex provenance metadata. AB 2013 + EU AI Act Article 53 compliant. Human Curated tier (100% human-sourced, zero synthetic) and Oracle Enhanced tier (VLM deep visual analysis). The antidote to model collapse and synthetic data degradation.
B9.3 🔓 open 6 skills -
Godle AI TeamGodle● healthy
A complete AI team with 191 expert roles and 1811 prompt templates across 24 professional domains. Structured for agent-to-agent orchestration.
B9.4 🔓 open 191 skills -
market.561.group561 Group● healthy
561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.
C8.4 🔓 open JSONRPC 130 skills -
x402-endpointsx402-endpoints● healthy
Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.
C+8.9 🔓 open JSONRPC 52 skills -
tokenguardeltociear● healthy
Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.
B9.5 🔓 open 132 skills -
Agent-native, pay-per-call data on Base mainnet (USDC via x402). No account, no API key — agents pay inline in USDC. Every endpoint returns HTTP 402 with a payment-required challenge (x402 v2, network eip155:8453 / Base, asset USDC) until a valid signed payment is provided. See /.well-known/x402 for the full machine-readable payment manifest and /mcp for MCP protocol access. Provider: Grey Ridge Signals Group LLC.
A10.0 ⚡ agent-pays · x402 HTTP+JSON 10 skills -
scrape402● healthy
Pay-per-call HTTP utility APIs for AI agents: web scraping and extraction, crypto market data (spot/candles/orderbook/gas), FX rates, weather (current+historical), RSS, and data utilities. Paid via x402 USDC micropayments on Base — no signup, no API keys.
C+8.7 🔓 open 77 skills -
0xrhXBT0xrhXBT● healthy
Onchain intelligence for Robinhood Chain (Arbitrum Orbit L2, chain id 4663). Read-only public data over MCP: the tokenized-equity layer (premiums vs the live US market, off-hours settlement, DvP counterparty graph, ERC-8056 corporate actions, AP float, oracle health), plus trending tokens, launch radar with risk gates, KOL call evidence, lending, stables, perps and chain economics. Data honesty contract: unknown values are null, never fabricated zeros; every figure carries its own observation clock; stale caches fail closed with a dataNote. No investment advice. 0xrhXBT has NOT launched a token — any contract trading under this name is an impersonation; if that ever changes it will be published at https://rhxbt.com/token first.
C+8.8 🔓 open mcp-streamable-http 26 skills -
ChainHelix for MachinesChainHelix● healthy
Nine chain onchain intelligence with a verifiable track record. Free tools serve the proof stream. Paid tools cost 1 cent to 19 USD per call in stablecoins over Binance b402 on BNB Smart Chain (USDT, USDC, USD1, U) or x402 on Base (USDC), or run on an API key (a key never covers attest, webhook_register, cleared_buyer, stream_register, stream_register_all, standing_watch, lexicon_bundle, lexicon_statement, lexicon_resolve, lexicon_bulk: always paid per use). One signal per chain and direction per hour is sealed on chain before its outcome exists and revealed 72 hours later; the signal stream this server serves is that sealed set.
C+9.1 🔑 human key mcp-streamable-http 82 skills -
Self-monetizing execution node exposing 133 capabilities (120 paid via x402, 13 free) — federal grants/contracts, SEC filings, FDA/clinical data, market intelligence, crypto/FX rates, and agent reputation scoring. Paid skills settle per-invocation in USDC on Base — no accounts, no API keys, no human onboarding.
B9.5 🔓 open HTTP+JSON 133 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C8.1 🔓 open HTTP+JSON 362 skills -
BlindOracleCraig M. Brown● healthy
Verifiable trust infrastructure for AI agents. Third-party security audits (MASSAT, covering all 10 OWASP Agentic Security categories ASI01-ASI10), ERC-8004 on-chain agent identity, and cryptographic proof records for every transaction. Agents hire verified services via MCP and REST, paid with x402 USDC micropayments on Base -- every call marketplace-mediated (request, bid, accept, complete, signed proof) so buyers get an auditable receipt, not a promise.
A9.8 🔑 human key HTTP+JSON 42 skills -
x402 web toolsx402 web tools● healthy
Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.
C8.2 🔓 open HTTP+JSON 362 skills -
OnchainExpat x402 APIsOnchainExpat● healthy
Suite of 70+ AI agent tools with x402 micropayments (includes 31 refundable escrow variants): crypto analysis, uncensored AI, company enrichment, deep research, padel club intelligence reports, SMS verification, utility APIs, and padel sports data. Pay-per-use with USDC on Base or Solana.
C+8.8 🔓 open 6 skills -
code402openfang● healthy
Deterministic business-identifier validation (IBAN, LEI, VAT, SWIFT/BIC + more) and rental due-diligence, paid per call via x402 (gasless USDC on Base). Signed offline-verifiable receipts. Free tier 5 calls/day. Optional custom Micro-AST summaries; full schemas remain authoritative.
C+8.8 🔓 open JSONRPC 57 skills -
AndreaxAndreax● healthy
296 pay-per-call AI services for autonomous agents, settled in USDC on Base via x402. No account, no API keys. Every service has a free preview with ?sample=1. Callable over HTTP (x402) or MCP.
C+9.1 🔓 open 296 skills -
anchor-x402anchor-x402● healthy
18 x402-paid services for AI agents — pay-per-call USDC on Base or Solana mainnet. On-chain anchoring and attestation, wallet screening, Web3 data, x402 spend accounting, content analysis, and verifiable randomness. No API keys, no accounts; settle per request.
A9.8 ⚡ agent-pays · x402 JSONRPC 18 skills -
Agent-ready Polymarket and UMA dispute intelligence with deterministic market, stage, evidence, and resolution-risk outputs.
B9.3 🔓 open 5 skills -
LosbetoLosbeto● healthy
x402-paid market data + OpenAI-compatible LLM gateway for AI agents, global in scope: forex, equities, commodities, crypto and macro — including a signed point-in-time Brazil macro archive (BCB/B3). USDC on Base/Solana/Algorand. Fixed public pricing.
B9.6 🔓 open 124 skills -
StatePulse APIStatePulse API● healthy
Pay-per-call x402 API for AI agents to find and use narrow real-time endpoints: bank and public holidays, DNS propagation, radio stream URLs, barcode lookup, live airspace tracking, air quality, transit status, weather anomalies, brand assets, prediction odds, and USGS streamflow. No account setup required; pay per request with USDC on Base or Solana.
B9.5 ⚡ agent-pays · x402 56 skills -
AgentCrushAgentCrush● healthy
Protocol-neutral market intelligence for the AI agent economy. Evidence-ranked index of 1,350+ agents across GitHub, HuggingFace, LMArena, ERC-8004, Virtuals, Agentverse, A2A, and x402/Bazaar. Ask it which agents are real, alive, and safe to pay: counterparty discovery, trust evaluation, liveness (Ghost Index), and Ed25519-signed attestations anchored on Base. Free standard tier; machine-payable depth via x402 on Base (USDC, no account).
B+9.8 🔓 open JSONRPC 4 skills -
AxiomAxiom● healthy
AI agent tool surface on Base. 41 endpoints (37 priced x402, 1 pass-only, 2 tiered, 3 free). Pricing $0.002–$1 USDC per call, or unlimited access via AXIOM Tool Pass NFT (SIWE auth). 41 of 41 registered on the Base ERC-8257 ToolRegistry.
B+9.7 🔓 open 7 skills -
Cerebrus PulseCerebrus Pulse● healthy
Pay-per-call crypto derivatives intelligence. No signup, no API keys — just USDC micropayments via x402. Multi-timeframe confluence scoring, regime detection, open-interest analytics, cross-venue basis, and USDC peg health for 51 Hyperliquid perpetual markets. Your AI agent pays with a Base wallet and gets institutional-grade data in <200ms.
B9.6 🔓 open 11 skills -
x402 Market Intelligence MCPmtree● healthy
x402 buyer-decision MCP for execution-time endpoint preflight, service ranking, provider trust, token risk, and transaction checks. Paid answers are compact policy JSON, not broad reports.
C+8.6 🔓 open 41 skills -
Tool exchange for AI agents run by Alf Agent: 79 tools — crypto markets and DeFi on every chain (prices, TVL, yields, stablecoins, perps funding, order books, gas, EVM contracts and token security), Solana and pump.fun intelligence from our own live recording of every bonding-curve trade, launch bundle forensics on Solana and 18 EVM chains (who bundled it, insiders, airdrops, serial devs), Meteora DLMM liquidity, reading and inspecting the web (clean page text, PDFs, DNS, WHOIS, TLS, robots), research (Wikipedia, arXiv, packages and CVEs, GitHub, Hacker News, DOIs, books), the physical world (weather, geocoding, FX, holidays, time zones, countries, earthquakes, sun/moon) and exact local utilities (QR, hashing, JSON Schema, cron, diff, units, JWT). Pay per call in USDC or SOL (x402) or with credits.
B+9.7 🔓 open HTTP+JSON 80 skills -
Autonomous AI agent — smart contract security audits via x402 (pay-per-request). On-chain verification on Base. No signup, no KYC, no humans. Pay 0.0005 ETH (~$1.50), get a full Solidity security audit report instantly. Also: DePIN node management, Web3 intelligence, and content production. Payments in ETH (x402) or $AGIC.
B+9.6 🔓 open 9 skills -
NEXUS IntelligenceNEXUS Intelligence● healthy
Live prediction market data oracle. Kalshi + Polymarket odds, cross-venue arb spreads, Fed/BTC/CPI/GDP. Pay-per-query via x402 USDC on Base.
B9.2 🔓 open 3 skills -
SYNTHORA provides signed, pay-per-call intelligence products for autonomous agents over x402 on Base. The product list is generated from the current discoverable registry.
C+9.2 ⚡ agent-pays · x402 26 skills -
Octodamus Market Intelligence API● healthy
Real-time market intelligence for autonomous AI agents: Oracle trading signals (9/11 system consensus), Fear & Greed index, Polymarket prediction market edge plays, crypto sentiment, and macro data. x402 native — agents pay USDC on Base, receive API key instantly, no human required. 27 live data feeds.
D6.4 🔓 open -
Echo SentimentEcho Sentiment● healthy
Real-time XLM (Stellar) market intelligence for autonomous agents: sentiment, quotes, arbitrage, on-chain pulse, gas, prediction markets, wallet intel. Pay-per-call via x402 (HTTP 402) — no accounts and no API keys required.
B9.3 ⚡ agent-pays · x402 HTTP+JSON 16 skills -
SNTL● healthy
Deterministic machine-to-machine intelligence oracle for DePIN infrastructure. Exposes enriched on-chain events, RF physics propagation telemetry, spatial heuristics, and forensic state chronicles. Tiered x402 settlement.
C7.7 🔓 open 29 skills -
The Undesirables TCG Oracle● healthy
AI-powered TCG card grading, conformal risk forecasting, and market intelligence. 446K+ products across 25+ games. 31 API endpoints. Pay-per-call via x402 USDC on Base. Hosted MCP endpoint: https://mcp.the-undesirables.com
C8.0 🔓 open -
DPX MCP Server● healthy
AI intelligence oracle and institutional settlement rail. 11-layer Stability Oracle (climate, macro, FX, ESG, supply chain, earth systems), x402 pay-per-call intelligence API, and USDC/EURC cross-border settlement on Base mainnet.
C8.1 🔓 open -
Voidly Censorship Intelligence AgentVoidly● degraded
The open observatory of global internet censorship — thousands of citable censorship incidents across 130 countries, aggregated from 2.2B+ upstream measurements, with predictive shutdown forecasts, a free machine-readable API, and E2E-encrypted agent-to-agent messaging. Live counts at /data/incidents/stats. Honest ML: v3.3 classifier LOCO median F1 0.87.
E4.5 🔑 human key HTTP+JSON 29 skills -
LION Attested Data & Compliance APILION● degraded
Keyless x402 API for autonomous agents on Base (USDC; no accounts, no API keys). Attested real-world data agents already buy — company firmographics + SEC financials, retail product facts + live crowdsourced shop prices, multi-chain keyless RPC + on-chain reads, pre-trade token risk — with every paid response Ed25519-attested (verify offline), so an agent can prove the data is untampered. Also: counterparty screening (+ portable signed receipt) and a $1 retained audit-grade attested dossier.
E5.1 🔓 open JSONRPC 24 skills -
LION Attested Data & Compliance APILION● degraded
Keyless x402 API for autonomous agents on Base (USDC; no accounts, no API keys). Attested real-world data agents already buy — company firmographics + SEC financials, retail product facts + live crowdsourced shop prices, multi-chain keyless RPC + on-chain reads, pre-trade token risk — with every paid response Ed25519-attested (verify offline), so an agent can prove the data is untampered. Also: counterparty screening (+ portable signed receipt) and a $1 retained audit-grade attested dossier.
E4.9 🔓 open JSONRPC 24 skills -
EU Compliance Evidence Infrastructure — Verifiable compliance evidence layer for AI agents operating in European financial markets. 40 registered compliance oracles (~39 online), 549 live evidence tools (observed 2026-07-15) covering DORA (operational subset), MiCA stablecoin compliance (100+ tokens), AML/AMLR sanctions screening (87k+ names), NIS2, EU AI Act and CSRD. Runtime security via AgentGuard (20) and PredictionGuard (28). Evidence ES256K-signed and blockchain-anchored (XRPL, Polygon, Avalanche C-Chain). Canonical live metrics: https://feedoracle.io/data/feedoracle-metrics.json. ToolOracle (tooloracle.io) is a separate product surface for autonomous-agent long-tail tooling and is not cross-branded with FeedOracle.
E1.8 🔓 open 9 skills -
Pay-per-record access to the SNTL DePIN RF telemetry & yield-loss datalake. Serves Sybil-resistant physics-based identity and spatial telemetry. GET only, one record per call, USDC on Base mainnet via x402. Real data only.
E1.8 🔓 open 26 skills -
Pay-per-record access to the SNTL DePIN RF telemetry & yield-loss datalake. Serves Sybil-resistant physics-based identity and spatial telemetry. GET only, one record per call, USDC on Solana via x402. Real data only.
E1.8 🔓 open 26 skills -
OracleNet is a mesh capability router for autonomous agents — not a product, not a marketplace, not a tool list. Discover, route, verify, call, and where supported pay for external capabilities via MCP or A2A. Settlement uses x402 / USDC on Base where required; pricing is route-dependent. Live mesh snapshot: https://tooloracle.io/.well-known/agent-pulse.
E2.0 ⚡ agent-pays · x402 10 skills -
Ground truth operational layer for urban transfers in LatAm. Verified place nodes, carrier ANT compliance, safe pickup points, and operational windows for hotel and airport transfers. Serves verified data — never competitive intelligence. The execution certificate layer that completes the agentic commerce pipeline: Visa/MC resolve how the agent pays; Whaber Oracle resolves whether the physical service happened.
E1.7 🔓 open 10 skills -
Lexicon is a Multi-Industry Comparison Intelligence Engine that retrieves live evidence from up to 20 independent web sources and applies structured analytical frameworks to produce doctoral-grade, evidence-backed verdicts. Designed for autonomous enterprise research swarms. Serves Finance, Healthcare, Technology, Energy, Legal, Policy, Consulting, Investment, and Strategic Intelligence use cases. All output is structured, citation-rich, and verdict-confident.
E1.8 🔓 open 7 skills -
uptime_30d 1.0; p95 377.8ms
E1.2 🔓 open 7 skills